package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjJsjg;
import com.zjsgfa.project.zjsgfa.domain.SjJsjgt;
import org.apache.ibatis.annotations.Param;

/**
 * 设计信息-井身结构Mapper接口
 * 
 * @author
 * @date 2025-06-24
 */
public interface SjJsjgMapper 
{
    /**
     * 查询设计信息-井身结构
     * 
     * @param id 设计信息-井身结构主键
     * @return 设计信息-井身结构
     */
    public SjJsjg selectSjJsjgById(Long id);

    /**
     * 查询设计信息-井身结构列表
     * 
     * @param sjJsjg 设计信息-井身结构
     * @return 设计信息-井身结构集合
     */
    public List<SjJsjg> selectSjJsjgList(SjJsjg sjJsjg);

    /**
     * 新增设计信息-井身结构
     * 
     * @param sjJsjg 设计信息-井身结构
     * @return 结果
     */
    public int insertSjJsjg(SjJsjg sjJsjg);

    /**
     * 修改设计信息-井身结构
     * 
     * @param sjJsjg 设计信息-井身结构
     * @return 结果
     */
    public int updateSjJsjg(SjJsjg sjJsjg);

    /**
     * 删除设计信息-井身结构
     * 
     * @param id 设计信息-井身结构主键
     * @return 结果
     */
    public int deleteSjJsjgById(Long id);

    /**
     * 批量删除设计信息-井身结构
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjJsjgByIds(Long[] ids);

    int deleteSjJsjgByJh(String jh);

    int insertSjJsjgBatch(@Param("list") List<SjJsjg> list);

    int deleteSjJsjgtById(String zbid);

    int insertSjJsjgt(SjJsjgt sjJsjgt);

    SjJsjgt selectSjJsjgtById(String zbid);
}
